Package org.eclipse.mat.parser.internal.oql.compiler

## Class CompilerImpl

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.CompilerImpl

All Implemented Interfaces:
  `ICompiler`

    public class CompilerImpl
    extends Object
    implements ICompiler

### Constructor Summary

Constructors
`CompilerImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `and​(Object[] arguments)`
`Object` `array​(Object index)`
`Object` `array​(Object index, Object index2)`
`Object` `divide​(Object left, Object right)`
`Object` `equal​(Object left, Object right)`
`org.eclipse.mat.parser.internal.oql.compiler.Function` `function​(String name, Object subject)`
`Object` `greaterThan​(Object left, Object right)`
`Object` `greaterThanOrEqual​(Object left, Object right)`
`Object` `in​(Object left, Object right)`
`Object` `instanceOf​(Object left, String className)`
`Object` `lessThan​(Object left, Object right)`
`Object` `lessThanOrEqual​(Object left, Object right)`
`Object` `like​(Object ex, String regex)`
`Object` `literal​(Object object)`
`Object` `method​(String name, List<Expression> parameters, boolean isFirstInPath)`
`Object` `minus​(Object left, Object right)`
`Object` `multiply​(Object left, Object right)`
`Object` `notEqual​(Object left, Object right)`
`Object` `notIn​(Object left, Object right)`
`Object` `notLike​(Object ex, String regex)`
`Object` `nullLiteral()`
`Object` `or​(Object[] arguments)`
`Object` `path​(List<Object> attributes)`
`Object` `plus​(Object left, Object right)`
`Object` `subQuery​(Query q)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerImpl

    public CompilerImpl()

### Method Detail

#### and

    public Object and​(Object[] arguments)

Specified by:
  `and` in interface `ICompiler`

#### or

    public Object or​(Object[] arguments)

Specified by:
  `or` in interface `ICompiler`

#### equal

    public Object equal​(Object left,
                        Object right)

Specified by:
  `equal` in interface `ICompiler`

#### notEqual

    public Object notEqual​(Object left,
                           Object right)

Specified by:
  `notEqual` in interface `ICompiler`

#### greaterThan

    public Object greaterThan​(Object left,
                              Object right)

Specified by:
  `greaterThan` in interface `ICompiler`

#### greaterThanOrEqual

    public Object greaterThanOrEqual​(Object left,
                                     Object right)

Specified by:
  `greaterThanOrEqual` in interface `ICompiler`

#### lessThan

    public Object lessThan​(Object left,
                           Object right)

Specified by:
  `lessThan` in interface `ICompiler`

#### lessThanOrEqual

    public Object lessThanOrEqual​(Object left,
                                  Object right)

Specified by:
  `lessThanOrEqual` in interface `ICompiler`

#### like

    public Object like​(Object ex,
                       String regex)

Specified by:
  `like` in interface `ICompiler`

#### notLike

    public Object notLike​(Object ex,
                          String regex)

Specified by:
  `notLike` in interface `ICompiler`

#### in

    public Object in​(Object left,
                     Object right)

Specified by:
  `in` in interface `ICompiler`

#### notIn

    public Object notIn​(Object left,
                        Object right)

Specified by:
  `notIn` in interface `ICompiler`

#### instanceOf

    public Object instanceOf​(Object left,
                             String className)

Specified by:
  `instanceOf` in interface `ICompiler`

#### literal

    public Object literal​(Object object)

Specified by:
  `literal` in interface `ICompiler`

#### nullLiteral

    public Object nullLiteral()

Specified by:
  `nullLiteral` in interface `ICompiler`

#### path

    public Object path​(List<Object> attributes)

Specified by:
  `path` in interface `ICompiler`

#### method

    public Object method​(String name,
                         List<Expression> parameters,
                         boolean isFirstInPath)

Specified by:
  `method` in interface `ICompiler`

#### function

    public org.eclipse.mat.parser.internal.oql.compiler.Function function​(String name,
                                                                          Object subject)

#### subQuery

    public Object subQuery​(Query q)

Specified by:
  `subQuery` in interface `ICompiler`

#### divide

    public Object divide​(Object left,
                         Object right)

Specified by:
  `divide` in interface `ICompiler`

#### minus

    public Object minus​(Object left,
                        Object right)

Specified by:
  `minus` in interface `ICompiler`

#### multiply

    public Object multiply​(Object left,
                           Object right)

Specified by:
  `multiply` in interface `ICompiler`

#### plus

    public Object plus​(Object left,
                       Object right)

Specified by:
  `plus` in interface `ICompiler`

#### array

    public Object array​(Object index)

Specified by:
  `array` in interface `ICompiler`

#### array

    public Object array​(Object index,
                        Object index2)

Specified by:
  `array` in interface `ICompiler`